Subject: Request: Adding -q/--quiet option to git-cat-file

From: Jakub Narebski <[email-masked]>
Date: Sat, 02 Dec 2006 22:32:33 +0100

The only "committag" gitweb implements now is linking the full 40-char sha
of a commit to a "commit" view. This requires checking the type of object
given by sha1... but git-cat-file -t writes errors to stdout if the object
does not exist. I'd rather not use additional call, using git-cat-file -e,
or using 'string' version of magic "-|" open to redirect stdout to /dev/null
(as it is additional fork anyway).

What I need is an option -q/--quiet to git-cat-file to forbid printing error
messages to stderr... but it looks like it would be easier to add it
universally for all commands, or add it to git wrapper.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git